[RESOLU] Installation de l'envrionnement python

Questions about WAPT Packaging / Requêtes et aides autour des paquets Wapt.
Règles du forum
Règles du forum communautaire
* English support on www.reddit.com/r/wapt
* Le support communautaire en français se fait sur ce forum
* Merci de préfixer le titre du topic par [RESOLU] s'il est résolu.
* Merci de ne pas modifier un topic qui est taggé [RESOLU]. Ouvrez un nouveau topic en référençant l'ancien
* Préciser version de WAPT installée ( 1.6.1 / 1.7.4 / 1.8.2 / etc.) AINSI QUE l'édition Enterprise / Community
* Préciser OS du serveur (Linux / Windows) et version (Debian Stretch/Buster - CentOS 7 - Windows Server 2012/2016/2019)
* Préciser OS de la machine d'administration/création des paquets (Windows 7 / 10)
* Comme tout forum communautaire, le support est fait bénévolement par les membres. Si vous avez besoin d'un support commercial, vous pouvez contacter Camille ou Faustine au service commercial Tranquil IT au 02.40.97.57.55
AdrianDessaigne
Messages : 4
Inscription : 08 mars 2021 - 11:51

08 mars 2021 - 12:07

Bonjour,

Étant nouveau sur WAPT, je souhaite préparer mon PC pour un environnement de création de packet WAPT.

J'ai suivi la documentation de Tranquil.it pour installer l'environnement python avec le paquet "tis-waptdev"
Cependant, après installation et reboot du PC, je me heurte à un problème de module manquant sur PyScripter :
No module named OpenSSL

J'ai trouvé un poste similaire avec le module "Request" mais la solution ne fonctionne pas sur mon cas (maj de l'agent WAPT).
J'ai eu le même problème que lui avec le même module, résolue avec "python -m pip install nom_du_module"
Cependant, certains modules ne peuvent pas s'installer en raison d'une différence de version.
Je précise que j'ai aussi installer "wapt tools" via pip.
Y'a-t-il d'autre chose à installer afin de résoudre les problèmes de dépendance et de modules ?

Merci pour vos réponses,
Adrian.

- Version de WAPT installée (1.8.2.7334)
- OS du serveur : Debian 10
- OS de la machine d'administration/création des paquets : Windows 10 20H2
Dernière modification par AdrianDessaigne le 21 avr. 2021 - 09:46, modifié 1 fois.
AdrianDessaigne
Messages : 4
Inscription : 08 mars 2021 - 11:51

10 mars 2021 - 15:39

Update :
Avec une install manuel via les fichiers sources ça marche, par contre le module Win32api n'est pas compatible Windows 10 ?
Traceback (most recent call last):
File "C:\Program Files (x86)\wapt\wapt-get.py", line 47, in <module>
import common
File "C:\Program Files (x86)\wapt\common.py", line 88, in <module>
import win32api
ImportError: DLL load failed: %1 n’est pas une application Win32 valide.

Merci pour vos réponse.
AdrianDessaigne
Messages : 4
Inscription : 08 mars 2021 - 11:51

21 avr. 2021 - 09:45

Une réinstallation propre d'un environnement Windows 10 Pro virtualisé suffit a régler le problème
Répondre